package com.ssm.service.system;


import java.util.List;

import com.ssm.model.system.SysPosition;
import com.ssm.util.page.PagedResult;

public interface SysPositionService {

	/**
	 * 职位查询
	 * */
	public PagedResult<SysPosition> getPostionFind(SysPosition sysPosition,Integer pageNo,
			Integer pageSize);
	/**
	 * 删除职位
	 * */
	public void deleteSysPostion(Integer positionid);
	
	public Integer QuerySysPostionId(Integer depid);
	
	
	/**
	 * 添加职位
	 * */
	public void insertSelective(SysPosition sysPosition);
	
	/**
	 * 更新职位
	 * */
	public SysPosition selectByPrimaryKey(Integer id);
	
	
	public void updateByPrimaryKeySelective(SysPosition sysPosition);
	
	public List<SysPosition> selectAllPostion();
	
}
